Magick::MontageFramed Class Reference

`#include <Montage.h>`

Inheritance diagram for Magick::MontageFramed:
[legend]
Collaboration diagram for Magick::MontageFramed:
[legend]

## Public Member Functions

| MontageFramed (void)
| ~MontageFramed (void)
void | matteColor (const Color &matteColor_)
Color | matteColor (void) const
void | borderColor (const Color &borderColor_)
Color | borderColor (void) const
void | borderWidth (size_t borderWidth_)
size_t | borderWidth (void) const
void | frameGeometry (const Geometry &frame_)
Geometry | frameGeometry (void) const
void | updateMontageInfo (MagickCore::MontageInfo &montageInfo_) const
Public Member Functions inherited from Magick::Montage
| Montage (void)
virtual | ~Montage (void)
void | backgroundColor (const Color &backgroundColor_)
Color | backgroundColor (void) const
void | compose (CompositeOperator compose_)
CompositeOperator | compose (void) const
void | fileName (const std::string &fileName_)
std::string | fileName (void) const
void | fillColor (const Color &fill_)
Color | fillColor (void) const
void | font (const std::string &font_)
std::string | font (void) const
void | geometry (const Geometry &geometry_)
Geometry | geometry (void) const
void | gravity (GravityType gravity_)
GravityType | gravity (void) const
void | label (const std::string &label_)
std::string | label (void) const
void | pointSize (size_t pointSize_)
size_t | pointSize (void) const
void | shadow (bool shadow_)
bool | shadow (void) const
void | strokeColor (const Color &stroke_)
Color | strokeColor (void) const
void | texture (const std::string &texture_)
std::string | texture (void) const
void | tile (const Geometry &tile_)
Geometry | tile (void) const
void | title (const std::string &title_)
std::string | title (void) const
void | transparentColor (const Color &transparentColor_)
Color | transparentColor (void) const

## Detailed Description

Definition at line 119 of file Montage.h.

## Constructor & Destructor Documentation

## MontageFramed()

Magick::MontageFramed::MontageFramed | ( | void |  | ) |

Definition at line 235 of file Montage.cpp.

## ~MontageFramed()

Magick::MontageFramed::~MontageFramed | ( | void |  | ) |

Definition at line 243 of file Montage.cpp.

## Member Function Documentation

## borderColor() [1/2]

void Magick::MontageFramed::borderColor | ( | const Color & | borderColor_ | ) |

Definition at line 257 of file Montage.cpp.

## borderColor() [2/2]

Magick::Color Magick::MontageFramed::borderColor | ( | void |  | ) | const

Definition at line 262 of file Montage.cpp.

## borderWidth() [1/2]

void Magick::MontageFramed::borderWidth | ( | size_t | borderWidth_ | ) |

Definition at line 267 of file Montage.cpp.

## borderWidth() [2/2]

size_t Magick::MontageFramed::borderWidth | ( | void |  | ) | const

Definition at line 272 of file Montage.cpp.

## frameGeometry() [1/2]

void Magick::MontageFramed::frameGeometry | ( | const Geometry & | frame_ | ) |

Definition at line 277 of file Montage.cpp.

## frameGeometry() [2/2]

Magick::Geometry Magick::MontageFramed::frameGeometry | ( | void |  | ) | const

Definition at line 282 of file Montage.cpp.

## matteColor() [1/2]

void Magick::MontageFramed::matteColor | ( | const Color & | matteColor_ | ) |

Definition at line 247 of file Montage.cpp.

## matteColor() [2/2]

Magick::Color Magick::MontageFramed::matteColor | ( | void |  | ) | const

Definition at line 252 of file Montage.cpp.

## updateMontageInfo()

void Magick::MontageFramed::updateMontageInfo | ( | MagickCore::MontageInfo & | montageInfo_ | ) | const

virtual

Reimplemented from Magick::Montage.

Definition at line 287 of file Montage.cpp.

References Magick::CloneString(), and Magick::Montage::updateMontageInfo().

The documentation for this class was generated from the following files:

- Montage.h
- Montage.cpp